VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TriggerFrame"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
' Unique index for frame in Collection
Dim myIndex As Integer
' Trigger reference in frame
Dim myTrigger As Trigger
' Local Byte variables
Dim myByteA As Byte, myByteB As Byte, myByteC As Byte
' Local Integer variables
Dim myIntegerA As Integer, myIntegerB As Integer, myIntegerC As Integer
' Local Random variable
Dim myRandom As Integer
' Local String variable
Dim myTextA As String, myTextB As String, myTextC As String
' Local Object variables
Dim myParentX As Object
Dim myTileX(4) As Integer
Dim myTileY(4) As Integer
Dim myEncounterX(4) As Encounter
Dim myCreatureX(4) As Creature
Dim myItemX(4) As Item
Dim myTriggerX(4) As Trigger
' Current statement processing
Dim myStatementNow As Integer, myProcess As Integer
' Total number of Statements processed
Dim myTicks As Integer
' Abort and StopExit flag
Dim myAbort As Integer, myStopExit As Integer
' Failure Flag for Statements being processed
Dim myFail As Integer
' FoundIt Flag for the Find Statement
Dim myFoundIt As Integer
' Stacks for If, Loop and Case statements
Dim myIfStack(15) As Integer
Dim myLoopStack(15) As Integer
Dim myEachStack(15) As Integer
Dim myCaseStack(15) As Integer
Dim myIfStackTop As Integer
Dim myLoopStackTop As Integer

Public Property Get Index() As Integer
    Index = myIndex
End Property

Public Property Let Index(NewIndex As Integer)
    myIndex = NewIndex
End Property

Public Property Get ByteA() As Byte
    ByteA = myByteA
End Property

Public Property Let ByteA(NewValue As Byte)
    myByteA = NewValue
End Property

Public Property Get ByteB() As Byte
    ByteB = myByteB
End Property

Public Property Let ByteB(NewValue As Byte)
    myByteB = NewValue
End Property

Public Property Get ByteC() As Byte
    ByteC = myByteC
End Property

Public Property Let ByteC(NewValue As Byte)
    myByteC = NewValue
End Property

Public Property Get IntegerA() As Integer
    IntegerA = myIntegerA
End Property

Public Property Let IntegerA(NewValue As Integer)
    myIntegerA = NewValue
End Property

Public Property Get IntegerB() As Integer
    IntegerB = myIntegerB
End Property

Public Property Let IntegerB(NewValue As Integer)
    myIntegerB = NewValue
End Property

Public Property Get IntegerC() As Integer
    IntegerC = myIntegerC
End Property

Public Property Let IntegerC(NewValue As Integer)
    myIntegerC = NewValue
End Property

Public Property Get Random() As Integer
    Random = Int(myRandom * Rnd) + 1
End Property

Public Property Let Random(NewValue As Integer)
    myRandom = NewValue
End Property

Public Property Get TextA() As String
    TextA = myTextA
End Property

Public Property Let TextA(NewValue As String)
    myTextA = NewValue
End Property

Public Property Get TextB() As String
    TextB = myTextB
End Property

Public Property Let TextB(NewValue As String)
    myTextB = NewValue
End Property

Public Property Get TextC() As String
    TextC = myTextC
End Property

Public Property Let TextC(NewValue As String)
    myTextC = NewValue
End Property

Public Property Get ParentX() As Object
    Set ParentX = myParentX
End Property

Public Property Set ParentX(NewValue As Object)
    Set myParentX = NewValue
End Property

Public Property Get EncounterX(Index As Integer) As Encounter
    Set EncounterX = myEncounterX(Index)
End Property

Public Property Set EncounterX(Index As Integer, NewValue As Encounter)
    Set myEncounterX(Index) = NewValue
End Property

Public Property Get CreatureX(Index As Integer) As Creature
    Set CreatureX = myCreatureX(Index)
End Property

Public Property Set CreatureX(Index As Integer, NewValue As Creature)
    Set myCreatureX(Index) = NewValue
End Property

Public Property Get ItemX(Index As Integer) As Item
    Set ItemX = myItemX(Index)
End Property

Public Property Set ItemX(Index As Integer, NewValue As Item)
    Set myItemX(Index) = NewValue
End Property

Public Property Get TriggerX(Index As Integer) As Trigger
    Set TriggerX = myTriggerX(Index)
End Property

Public Property Set TriggerX(Index As Integer, NewValue As Trigger)
    Set myTriggerX(Index) = NewValue
End Property

Public Property Get TileX(Index As Integer) As Integer
    TileX = myTileX(Index)
End Property

Public Property Let TileX(Index As Integer, NewValue As Integer)
    myTileX(Index) = NewValue
End Property

Public Property Get TileY(Index As Integer) As Integer
    TileY = myTileY(Index)
End Property

Public Property Let TileY(Index As Integer, NewValue As Integer)
    myTileY(Index) = NewValue
End Property

Public Property Get StopExit() As Integer
    StopExit = myStopExit
End Property

Public Property Let StopExit(NewValue As Integer)
    myStopExit = NewValue
End Property

Public Property Get Ticks() As Integer
    Ticks = myTicks
End Property

Public Property Let Ticks(NewValue As Integer)
    myTicks = NewValue
End Property

Public Property Get IfStackTop() As Integer
    IfStackTop = myIfStackTop
End Property

Public Property Let IfStackTop(NewValue As Integer)
    myIfStackTop = NewValue
End Property

Public Property Get IfStack(Index As Integer) As Integer
    IfStack = myIfStack(Index)
End Property

Public Property Let IfStack(Index As Integer, NewValue As Integer)
    myIfStack(Index) = NewValue
End Property

Public Property Get Abort() As Integer
    Abort = myAbort
End Property

Public Property Let Abort(NewValue As Integer)
    myAbort = NewValue
End Property

Public Property Get Fail() As Integer
    Fail = myFail
End Property

Public Property Let Fail(NewValue As Integer)
    myFail = NewValue
End Property

Public Property Get FoundIt() As Integer
    FoundIt = myFoundIt
End Property

Public Property Let FoundIt(NewValue As Integer)
    myFoundIt = NewValue
End Property

Public Property Get Process() As Integer
    Process = myProcess
End Property

Public Property Let Process(NewValue As Integer)
    myProcess = NewValue
End Property

Public Property Get LoopStackTop() As Integer
    LoopStackTop = myLoopStackTop
End Property

Public Property Let LoopStackTop(NewValue As Integer)
    myLoopStackTop = NewValue
End Property

Public Property Get LoopStack(Index As Integer) As Integer
    LoopStack = myLoopStack(Index)
End Property

Public Property Let LoopStack(Index As Integer, NewValue As Integer)
    myLoopStack(Index) = NewValue
End Property

Public Property Get CaseStack(Index As Integer) As Integer
    CaseStack = myCaseStack(Index)
End Property

Public Property Let CaseStack(Index As Integer, NewValue As Integer)
    myCaseStack(Index) = NewValue
End Property

Public Property Get EachStack(Index As Integer) As Integer
    EachStack = myEachStack(Index)
End Property

Public Property Let EachStack(Index As Integer, NewValue As Integer)
    myEachStack(Index) = NewValue
End Property

Public Property Get StatementNow() As Integer
    StatementNow = myStatementNow
End Property

Public Property Let StatementNow(NewValue As Integer)
    myStatementNow = NewValue
End Property

Public Property Get Trigger() As Trigger
    Set Trigger = myTrigger
End Property
Public Property Set Trigger(NewValue As Trigger)
    Set myTrigger = NewValue
End Property

Private Sub Class_Initialize()
    Dim c As Integer
    myByteA = 0: myByteB = 0: myByteC = 0
    myIntegerA = 0: myIntegerB = 0: myIntegerC = 0
    myTextA = "": myTextB = "": myTextC = ""
    myStatementNow = 1
    For c = 1 To 3
        Set myCreatureX(c) = New Creature
        Set myEncounterX(c) = New Encounter
        Set myItemX(c) = New Item
        Set myTriggerX(c) = New Trigger
    Next c
    myAbort = False
    myStopExit = False
    myFail = False
End Sub
