VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Factoid"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' Unique index for this Factoid
Private myIndex As Integer
' Text of this Factoid
Private myText As String

Public Property Get Index() As Integer
    Index = myIndex
End Property

Public Property Let Index(NewIndex As Integer)
    myIndex = NewIndex
End Property

Public Property Get Text() As String
    Text = Trim(myText)
End Property

Public Property Let Text(NewText As String)
    myText = Trim(NewText)
End Property

Public Sub Copy(FromFactoid As Factoid)
    myText = FromFactoid.Text
End Sub

Public Sub ReadFromFile(FromFile As Integer)
    Dim c As Long, Cnt As Long
    ' Read Item Text, Index
    Get FromFile, , Cnt
    myText = ""
    For c = 1 To Cnt
        myText = myText & " "
    Next c
    Get FromFile, , myText
    Get FromFile, , myIndex
End Sub

Public Sub SaveToFile(ToFile As Integer)
    Dim c As Integer
    ' Save Item Text, Index
    Put ToFile, , Len(myText)
    Put ToFile, , myText
    Put ToFile, , myIndex
End Sub

