VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "TileSet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' Unique index for this TileSet
Private myIndex As Integer
' Name of this TileSet
Private myName As String
' BMP picture used by this TileSet
Private myPictureFile As String

Public Property Get Index() As Integer
    Index = myIndex
End Property

Public Property Let Index(NewIndex As Integer)
    myIndex = NewIndex
End Property

Public Property Get Name() As String
    Name = Trim(myName)
End Property

Public Property Let Name(NewValue As String)
    myName = Trim(NewValue)
End Property

Public Property Get PictureFile() As String
    PictureFile = Trim(myPictureFile)
End Property

Public Property Let PictureFile(NewValue As String)
    myPictureFile = Trim(NewValue)
End Property

Public Sub Copy(FromTileSet As TileSet)
    myName = FromTileSet.Name
    myPictureFile = FromTileSet.PictureFile
End Sub

Public Sub ReadFromFile(FromFile As Integer)
    Dim c As Integer, Cnt As Long
    Get FromFile, , myIndex
    ' Read Name
    Get FromFile, , Cnt
    myName = ""
    For c = 1 To Cnt
        myName = myName & " "
    Next c
    Get FromFile, , myName
    ' Read PictureFile
    Get FromFile, , Cnt
    myPictureFile = ""
    For c = 1 To Cnt
        myPictureFile = myPictureFile & " "
    Next c
    Get FromFile, , myPictureFile
End Sub

Public Sub SaveToFile(ToFile As Integer)
    Dim c As Integer
    ' Save Index
    Put ToFile, , myIndex
    ' Save Name
    Put ToFile, , Len(myName)
    Put ToFile, , myName
    ' Save PictureFile
    Put ToFile, , Len(myPictureFile)
    Put ToFile, , myPictureFile
End Sub

Private Sub Class_Initialize()
    myName = "Untitled"
End Sub
